Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.wsrp.consumer.portlet
Class ProxyPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.wsrp4j.consumer.portlet.impl.ProxyPortlet
              org.jasig.portal.wsrp.consumer.portlet.ProxyPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

    public class ProxyPortlet

extends org.apache.wsrp4j.consumer.portlet.impl.ProxyPortlet

Custom version of WSRP4J Consumer Proxy Portlet that reads Portlet preferences in order to determine the producer configuration. The ID of a Producer will be derived from the Portlet preferences themselves. This is different from the WSRP4J ProxyPortlet which relies on a pre-configured Producer registry.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `markupUrl`
`private java.lang.String` | `mgmtUrl`
`private java.lang.String` | `regUrl`
`private java.lang.String` | `serviceDescUrl`

Fields inherited from class org.apache.wsrp4j.consumer.portlet.impl.ProxyPortlet
`NAVIGATIONAL_STATE`

Constructor Summary
`ProxyPortlet()`

Method Summary
`protected org.apache.wsrp4j.consumer.PortletKey` | `getPortletKey(java.util.Map preferences)` Construct producer ID by concatinating the 4 producer URLs and Consumer registration data.
`protected org.apache.wsrp4j.consumer.Producer` | `getProducer(java.lang.String producerID)`

Methods inherited from class org.apache.wsrp4j.consumer.portlet.impl.ProxyPortlet
`getConsumerEnvironment, init, processAction, render`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, doView, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### markupUrl

    private java.lang.String markupUrl

### serviceDescUrl

    private java.lang.String serviceDescUrl

### regUrl

    private java.lang.String regUrl

### mgmtUrl

    private java.lang.String mgmtUrl

Constructor Detail

### ProxyPortlet

    public ProxyPortlet()

Method Detail

### getPortletKey

    protected org.apache.wsrp4j.consumer.PortletKey getPortletKey(java.util.Map preferences)

  Construct producer ID by concatinating the 4 producer URLs and Consumer registration data.

  Overrides:
    `getPortletKey` in class `org.apache.wsrp4j.consumer.portlet.impl.ProxyPortlet`

### getProducer

    protected org.apache.wsrp4j.consumer.Producer getProducer(java.lang.String producerID)
                                                       throws org.apache.wsrp4j.exception.WSRPException

  Overrides:
    `getProducer` in class `org.apache.wsrp4j.consumer.portlet.impl.ProxyPortlet`
  Throws:
    `org.apache.wsrp4j.exception.WSRPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD